#!/bin/bash
# We want to error if there are crashes for any of the components we care about

set -x

[ "$#" -eq 2 ] || (echo >&2 "Must provide lsmod.log and folder to check"; exit 1)

# Ignore compiz and X crashes on nvidia for the moment
if grep "nvidia" $1; then
    if ls $2| grep -E "(autopilot)"; then
        echo "Appears to have been a crash"
        exit 1
    fi
else
    if ls $2| grep -E "(compiz|X|autopilot)"; then
        echo "Appears to have been a crash"
        exit 1
    fi
fi
echo "No interesting crash files"
exit 0
