#!/bin/bash

display_details=$(xrandr | grep "\sconnected")
display_count=$(echo "$display_details" | wc -l)
#echo "$display_details"

if [ $display_count -gt 2 ]; then
    echo "More than two monitors detected ($display_count)"
    exit 1
elif [ $display_count -eq 2 ]; then
    echo "Two monitors detected"
    oldIFS=${IFS}
    newIFS=$'\n'
    IFS=$newIFS
    i=0
    # Grab just the display names so we can find the VGA and the 'primary
    # display'
    # i.e. the first element of a string like: LVDS1 connected 1440x900+0+0...
    for disp in $display_details; do
        screens[$i]=$(echo $disp | cut -d" " -f1)
        (( i++ ))
    done
    IFS=$oldIFS

    echo "Screens:"
    echo "${screens[*]}"

    if [[ ${screens[0]} == VGA* ]];then
        echo "Screen 0 is vga: ${screens[0]}"
        VGA=${screens[0]}
        MAIN_DISP=${screens[1]}
    elif [[ ${screens[1]} == VGA* ]];then
        echo "Screen 1 is vga: ${screens[1]}"
        VGA=${screens[1]}
        MAIN_DISP=${screens[0]}
    else
        echo Cannot find VGA display:
        echo ${screens[*]}
        exit 1
    fi
    echo "--output $MAIN_DISP --auto --output $VGA --auto --right-of $MAIN_DISP"
    $(xrandr --output $MAIN_DISP --auto --output $VGA --auto --right-of $MAIN_DISP)
    exit 0
else
    echo Only one monitor
fi

