#!/usr/bin/env python
# -*- encoding: utf8 -*-

import dbus
from time import sleep

def main():
    unity_connection = 'com.canonical.Unity'
    unity_obj_path = '/com/canonical/Unity/Debug'
    debug_iface = 'com.canonical.Autopilot.Introspection'
    timeout = 60

    session_bus = dbus.SessionBus()
    for i in range(timeout):
        try:
            proxy_obj = session_bus.get_object(unity_connection, unity_obj_path)
            proxy_iface = dbus.Interface(proxy_obj, debug_iface)
            proxy_iface.GetState('/')
            # if we get here, we know things are up and running.
            exit(0)
        except dbus.DBusException:
            sleep(1)
    exit(1)


if __name__ == '__main__':
    main()
