#!/bin/bash
BASE_RESULTS_DIR=/home/jenkins/results
RAW_CRASH_DIR=$BASE_RESULTS_DIR/artifacts/raw_crash
RAW_LOG_DIR=$BASE_RESULTS_DIR/artifacts/raw_log
LOGGING_FILE=$BASE_RESULTS_DIR/artifacts/ap_test_debug_log.txt

echo "Collecting any crash reports" >> $LOGGING_FILE
mkdir -p $RAW_CRASH_DIR

for file in $(ls /var/crash/*.crash)
do
    # Store the crash as an artifact in case apport-retrace fails
    cp $file $RAW_CRASH_DIR
    file_basename=$(basename $file)
    echo "Retracing $file_basename..." >> $LOGGING_FILE
    apport-retrace --sandbox=system -C /tmp -R $file -o $BASE_RESULTS_DIR/artifacts/$(basename $file)
done

chown -R jenkins:jenkins $RAW_CRASH_DIR/

echo "Done grabbing crashes" >> $LOGGING_FILE

# Also grab any interesting log files
echo "Collecting interesting log files" >> $LOGGING_FILE
mkdir -p $RAW_LOG_DIR

file=/home/jenkins/installer_log.log
echo "Grabbing log file: $file" >> $LOGGING_FILE
cp $file $RAW_LOG_DIR

for file in $(ls /var/log/Xorg*log)
do
    echo "Grabbing log file: $file" >> $LOGGING_FILE
    cp $file $RAW_LOG_DIR
done
