#!/bin/bash

# This script checks that Unity is installed then just polls for completion of
# the autopilot runs.
# (Perhaps it should check for the existance of a autopilot crash file too just
# in case)

# Logging details
BASE_RESULTS_DIR=/home/jenkins/results
LOGGING_FILE=$BASE_RESULTS_DIR/artifacts/ap_test_debug_log.txt
INSTALLED_LOG=$BASE_RESULTS_DIR/artifacts/UNITY_NOT_INSTALLED

# Execution details
FINISHED_FLAG=/home/jenkins/.ap_tests_finished

# need to put the details in a known area so that we can grab those details.
# setup
mkdir -p $BASE_RESULTS_DIR $BASE_RESULTS_DIR/testresults $BASE_RESULTS_DIR/artifacts
touch $BASE_RESULTS_DIR/artifacts/dummy
chmod a+r $BASE_RESULTS_DIR/artifacts/*

# Log the configuration in use
MACHINE_CONFIG_DIR=$BASE_RESULTS_DIR/artifacts/machine-config
mkdir $MACHINE_CONFIG_DIR
dpkg --list > $MACHINE_CONFIG_DIR/dpkg-list.log
lsmod > $MACHINE_CONFIG_DIR/lsmod.log
lshw -html > $MACHINE_CONFIG_DIR/lshw.html

# No sense continuing if Unity isn't insalled
echo "Checking for Unity" >> $LOGGING_FILE
dpkg -s unity &>> /dev/null || (echo "Unity not installed" >> $INSTALLED_LOG && exit 1)

# Wait for the AP tests to run.
while [ ! -e $FINISHED_FLAG ]; do
    sleep 60
done

# Cleanup
echo "Finishing test" >> $LOGGING_FILE

# Copy syslog to results for archiving
cp /var/log/syslog $MACHINE_CONFIG_DIR/


exit $(cat $FINISHED_FLAG)
